screenCrossFade()
Fade screen from current image to a given image slot. This command works in asynchronous mode that is it don't halt program execution while fade occurs.
Syntax:
screenCrossFade( screen , imageslot , time )
variable = screenCrossFade( screen )
If called without time parameter it return fade status:
1 if still running
0 if finished
Time is expressed in seconds.
Example:
circle(320,240,200)
grab(1,0,0,640,480)
cls
circle(200,200,200): circle(400,400,200)
screencCrossFade(0,1,2)
while screenCrossFade( 0 ) =1
wait(40)
wend
prints( "done! press any key to quit")
waitKey
See also wait(), screenFadeIn() and screenFadeOut() commands.